Summary:	SMTP client library
Summary(pl.UTF-8):	Biblioteka kliencka SMTP
Name:		libesmtp
Version:	1.1.0
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/libesmtp/libESMTP/releases
Source0:	https://github.com/libesmtp/libESMTP/archive/v%{version}/libESMTP-%{version}.tar.gz
# Source0-md5:	1c89f9af9f56b74ec4dce3fc59a7236f
Patch0:		%{name}-soname.patch
URL:		https://libesmtp.github.io/
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	openssl-devel >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%description -l pl.UTF-8
LibESMTP to biblioteka obsługująca wysyłanie poczty elektronicznej
przy użyciu SMTP do prekonfigurowanego MTA, np. exima. Może być
używana jako część MTA lub innego programu, który musi umieć wysyłać
pocztę.

%package devel
Summary:	Development resources for libesmtp
Summary(pl.UTF-8):	Pliki dla programistów używających libesmtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 1.1.0

%description devel
Development resources for libesmtp.

%description devel -l pl.UTF-8
Pliki dla programistów używających libesmtp.

%package static
Summary:	Static libesmtp libraries
Summary(pl.UTF-8):	Statyczne biblioteki libesmtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libesmtp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libesmtp.

%prep
%setup -q -n libESMTP-%{version}
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# plugin interface, not installed by meson
cp -p auth-plugin.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md docs/{ChangeLog.md,NEWS.md,authors.md,bugreport.md,changes-since-v1.0.6.md}
%attr(755,root,root) %{_libdir}/libesmtp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libesmtp.so.6
%dir %{_libdir}/esmtp-plugins-6.2.0
%attr(755,root,root) %{_libdir}/esmtp-plugins-6.2.0/sasl-crammd5.so
%attr(755,root,root) %{_libdir}/esmtp-plugins-6.2.0/sasl-login.so
%attr(755,root,root) %{_libdir}/esmtp-plugins-6.2.0/sasl-ntlm.so
%attr(755,root,root) %{_libdir}/esmtp-plugins-6.2.0/sasl-plain.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libesmtp.so
%{_includedir}/auth-client.h
%{_includedir}/auth-plugin.h
%{_includedir}/libesmtp.h
%{_pkgconfigdir}/libesmtp-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libesmtp.a
%changelog
* Sat Dec 09 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libesmtp.git;a=log;h=master

* Mon Feb 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 6d4f666
- updated to 1.1.0 (fixes CVE-2019-19977; now uses meson and depends on openssl 1.1.0+)
- added soname patch from Debian

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f44ec95
- release 3 (by relup.sh)

* Sun Sep 02 2018 Jakub Bogusz <qboosh@pld-linux.org> ecde078
- updated URLs

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 846e692
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 8bd1f4c
- updated to 1.0.6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> be9a9da
- release 3

* Wed May 19 2010 sparky <sparky@pld-linux.org> 2849f32
- don't reqiore c++ compiler

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cfbe75
- release 2

* Wed Feb 21 2007 Szymon Siwek <sls@pld-linux.org> b60ac0e
- ver. 1.0.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ce08ee8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d587149
- converted to UTF-8

* Wed Aug 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b03f77
- rel 3

* Wed Nov 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 08b8f21
- strict internal deps, -devel R: openssl-devel
- BRs and files cleanups
- enabled NTLM plugin
- release 2

* Mon Sep 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 4092194
- updated to 1.0.3r1

* Thu Jan 29 2004 undefine <undefine@pld-linux.org> f1730b4
- copy config.sub to allow build on amd64

* Tue Sep 30 2003 eothane <eothane@pld-linux.org> cdb7eb4
- ahh, what the hell: openssl 0.9.7c

* Thu Aug 28 2003 adgor <adgor@pld-linux.org> b2f7688
- %%configure2_13

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 3d0fb9f
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4640d39
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Apr 23 2003 Paweł Gołaszewski <blues@pld-linux.org> f060471
- no stupid subshells

